package app

import (
	. "code.hoteas.com/golang/hotime"
)

var VipOrderCtr = Ctr{
	//创建V订单
	"create": func(that *Context) {
		if that.Session("user_id").Data == nil {
			that.Display(2, "没有登录")
			return
		}

		phone := that.Req.FormValue("phone")
		companyName := that.Req.FormValue("company_name")
		if len(phone) != 11 || len(companyName) < 4 {
			that.Display(3, "请求参数异常")
			return
		}

		err := auth(that, phone, companyName)
		if err != nil {
			that.Display(3, err)
			return
		}

		//that.Display(0, Map{"total": count, "data": res})
	},
}
